Subject: RE: Compiling X11R6.3 with your B19 patches...
From: [email-masked] (Sergey Okhapkin)

5 Mar 1998 01:16:00 -0800
Message-ID: <[email-masked]>
To: "'Arlindo da Silva'" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Arlindo da Silva wrote:
> 1) When I tried "make -i World" on a freshly patched xc (I only got
>    xc-1.tar.gz) I got the following error during the bootstrap
>    phase:
>
> making imake with BOOTSTRAPCFLAGS= in config/imake 
> cc -o ccimake  -O -I../../include -I../../imports/x11/include/X11 
ccimake.c
> cc: not found 

I modified setup instructions - make a symlink from gcc.exe to cc.

>
> My quick and dirty fix was to copy gcc.exe to cc.exe. I had the same
> problem with your previous b18 patch. A better fix would be to
> patch the Makefile which has "cc" hardwired.

I don't want to patch makefiles - with my patch installed X11 distribution 
may be compiled on any platform!

>
> 2) With this fix, "make -i World" goes into an infinite loop during
>    the "make Makefiles" phase. Probable reason: I only downloaded
>    xc-1.tar.gz, so some directories are missing, and recursive makefiles
>    have several "cd .." after a failed "cd".

What cd fails? Unfortunately, I have no "loop" problem... Probably, the 
problem is because of missed "cc"? Would you like to try to rebuild X11 
from the scratch with cc linked to gcc?

>
>    Quick & Dirty fix:  kill it after at least one loop is complete
>    and continue manually:
>
>    make include
>    make
>    make install
>
> 3) I was not able to build 'xterm', gcc died with an internal error:
>
> gcc -O2 -s -mpentium     -I../.. -I../../exports/include  -D__i386__ 
-DX_LOCALE
> -D_MT -DNO_TCP_H   -DFUNCPROTO=15 -DNARROWPROTO     -c button.c -o 
button.o
> gcc: Internal compiler error: program cc1 got fatal signal 6 
> make: *** [button.o] Error 1
>

It's a bug of b19 gcc (egcs works fine). The workaround:
1. cd to xc/programs/xterm and edit Makefile - change -O2 to -O (two 
occurences).
2. run make.

--
Sergey Okhapkin
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".